Bug 1649088 - Upgrade from Fedora 27 to 29 fails with python2-pycryptodomex conflict
Summary: Upgrade from Fedora 27 to 29 fails with python2-pycryptodomex conflict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pycryptodomex
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-12 22:09 UTC by D2B
Modified: 2018-12-07 00:43 UTC (History)
10 users (show)

Fixed In Version: python-pycryptodomex-3.7.0-1.fc28 python-pycryptodomex-3.7.0-1.fc27 python-pycryptodomex-3.7.0-1.fc29 python-pycryptodomex-3.7.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-29 02:27:04 UTC
Type: Bug


Attachments (Terms of Use)

Description D2B 2018-11-12 22:09:49 UTC
Description of problem: Upgrade from Fedora27 to Fedora 29 fails.
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib64/python2.7/site-packages/pycryptodomex-3.6.6-py2.7.egg-info from install of python2-pycryptodomex-3.6.6-1.fc29.x86_64 conflicts with file from package python2-pycryptodomex-3.6.6-1.fc27.x86_6


Version-Release number of selected component (if applicable):


How reproducible: Execute upgrade procedures documented here: https://fedoraproject.org/wiki/DNF_system_upgrade


Additional info:

##### after failure reinstalled python2-pycryptodomex ######

[root@fedora_ws ~]# dnf reinstall python2-pycryptodomex
Last metadata expiration check: 0:00:00 ago on Mon 12 Nov 2018 12:49:00 PM EST.
Dependencies resolved.
==========================================================================================================================================================================================================================
 Package                                                       Arch                                           Version                                               Repository                                       Size
==========================================================================================================================================================================================================================
Reinstalling:
 python2-pycryptodomex                                         x86_64                                         3.6.6-1.fc27                                          updates                                         5.9 M

Transaction Summary
==========================================================================================================================================================================================================================

Total download size: 5.9 M
Is this ok [y/N]: y
Downloading Packages:
python2-pycryptodomex-3.6.6-1.fc27.x86_64.rpm                                                                                                                                             2.0 MB/s | 5.9 MB     00:02   
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                     1.7 MB/s | 5.9 MB     00:03    
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                                                                  1/1
  Reinstalling     : python2-pycryptodomex-3.6.6-1.fc27.x86_64                                                                                                                                                        1/2
  Erasing          : python2-pycryptodomex-3.6.6-1.fc27.x86_64                                                                                                                                                        2/2
  Running scriptlet: python2-pycryptodomex-3.6.6-1.fc27.x86_64                                                                                                                                                        2/2
Running as unit: run-r8351f95bc7d84b2b89adea658cdd919b.service
Running as unit: run-r93f6b4c1069044c6baf839ee30eb7dd6.service
  Verifying        : python2-pycryptodomex-3.6.6-1.fc27.x86_64                                                                                                                                                        1/2
  Verifying        : python2-pycryptodomex-3.6.6-1.fc27.x86_64                                                                                                                                                        2/2

Reinstalled:
  python2-pycryptodomex.x86_64 3.6.6-1.fc27                                                                                                                                                                              

Complete!

##### Reexecuted system-upgrade with same result ######

[root@fedora_ws ~]# dnf system-upgrade download --refresh --releasever=29 --skip-broken --allowerasing
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
.

.

.

Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib64/python2.7/site-packages/pycryptodomex-3.6.6-py2.7.egg-info from install of python2-pycryptodomex-3.6.6-1.fc29.x86_64 conflicts with file from package python2-pycryptodomex-3.6.6-1.fc27.x86_64

Error Summary
-------------

##### Contents of file, which is a directory #####

[root@fedora_ws ~]# ls -l /usr/lib64/python2.7/site-packages/pycryptodomex-3.6.6-py2.7.egg-info
total 40
-rw-r--r--. 1 root root     1 Aug 28 09:39 dependency_links.txt
-rw-r--r--. 1 root root     1 Aug 28 09:39 not-zip-safe
-rw-r--r--. 1 root root  3163 Aug 28 09:39 PKG-INFO
-rw-r--r--. 1 root root 21754 Aug 28 09:39 SOURCES.txt
-rw-r--r--. 1 root root    11 Aug 28 09:39 top_level.txt
[root@fedora_ws ~]#

Comment 1 Fedora Update System 2018-11-19 23:42:22 UTC
python-pycryptodomex-3.7.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4201927074

Comment 2 Fedora Update System 2018-11-19 23:42:29 UTC
python-pycryptodomex-3.7.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fc576a8e2f

Comment 3 Fedora Update System 2018-11-19 23:42:34 UTC
python-pycryptodomex-3.7.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dd64acffb2

Comment 4 Fedora Update System 2018-11-19 23:42:39 UTC
python-pycryptodomex-3.7.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec8421bcda

Comment 5 Fedora Update System 2018-11-21 04:31:34 UTC
python-pycryptodomex-3.7.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ec8421bcda

Comment 6 Fedora Update System 2018-11-21 05:10:39 UTC
python-pycryptodomex-3.7.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-dd64acffb2

Comment 7 Fedora Update System 2018-11-21 14:31:01 UTC
python-pycryptodomex-3.7.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fc576a8e2f

Comment 8 Fedora Update System 2018-11-21 18:35:28 UTC
python-pycryptodomex-3.7.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4201927074

Comment 9 Fedora Update System 2018-11-29 02:27:04 UTC
python-pycryptodomex-3.7.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-11-29 04:52:36 UTC
python-pycryptodomex-3.7.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-11-29 04:57:57 UTC
python-pycryptodomex-3.7.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 D2B 2018-12-03 22:51:38 UTC
Confirmed that the fix worked.  Thank you.

Comment 13 Fedora Update System 2018-12-07 00:43:41 UTC
python-pycryptodomex-3.7.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.